package com.fs.project.mapper;

import java.util.List;
import com.fs.project.domain.Project;
import com.fs.project.vo.GetAllDataVO;
import com.fs.project.vo.ProjectOptionVO;
import org.apache.ibatis.annotations.Param;

/**
 * 项目主Mapper接口
 *
 * @author fs
 * @date 2025-12-30
 */
public interface ProjectMapper
{
    /**
     * 查询项目主
     *
     * @param id 项目主主键
     * @return 项目主
     */
    public Project selectProjectById(Long id);

    /**
     * 查询项目主列表
     *
     * @param project 项目主
     * @return 项目主集合
     */
    public List<Project> selectProjectList(Project project);

    /**
     * 新增项目主
     *
     * @param project 项目主
     * @return 结果
     */
    public int insertProject(Project project);

    /**
     * 修改项目主
     *
     * @param project 项目主
     * @return 结果
     */
    public int updateProject(Project project);

    /**
     * 删除项目主
     *
     * @param id 项目主主键
     * @return 结果
     */
    public int deleteProjectById(Long id);

    /**
     * 批量删除项目主
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectByIds(Long[] ids);

    List<ProjectOptionVO> selectProjectOptions(String projectName);

    int updateStatus(@Param("id") Long id, @Param("status") Integer status);

    List<Project> getAllData(GetAllDataVO dataVO);
}
